sha3.h File Reference

Classes for SHA3 message digests. More...

Go to the source code of this file.

## Classes

class | SHA3
| SHA3 message digest base class. More...
class | SHA3_224
| SHA3-224 message digest. More...
class | SHA3_256
| SHA3-256 message digest. More...
class | SHA3_384
| SHA3-384 message digest. More...
class | SHA3_512
| SHA3-512 message digest. More...

## Detailed Description

Classes for SHA3 message digests.

The Crypto++ implementation conforms to the FIPS 202 version of SHA3 using F1600 with XOF d=0x06. Previous behavior (XOF d=0x01) is available in Keccak classes.

See also
  SHA-3, SHA-3 STANDARD (FIPS 202).

Since
  Crypto++ 5.6.2

Definition in file sha3.h.